﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="Cisco AnyConnect Secure Mobility Client" Publisher="Cisco" Version="" ReleaseDate="">
	<UserCategories>
		<Category>Pre-Approved</Category>
	</UserCategories>
	<SoftwareCategories>
		<Category>Pre-Approved</Category>
		<Category>Laptop Specific</Category>
	</SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="" Architecture="x86" Technology="Script" DetectionMethod="Enhanced" ContentLocation="\\server01\sources$\Cisco\AnyConnect Secure Mobility Client\archive\{SoftwareVersion}\win_{Architecture}\">
    <UninstallCommand>Deploy-Application.exe UNINSTALL</UninstallCommand>
    <InstallCommand>Deploy-Application.exe INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = [version]'{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKey = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKey) {
    if([version]$RegKey.GetValue('DisplayVersion') -ge $DisplayVersion) {
        return $true
    }
}</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>